<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Ranking_List.aspx.cs" Inherits="RM.Web.Training.CreditRanking.Ranking_List" %>

<%@ Register Src="~/UserControl/PageControl.ascx" TagName="PageControl" TagPrefix="uc1" %>
<%@ Register Src="~/UserControl/LoadButton.ascx" TagName="LoadButton" TagPrefix="uc2" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
<title><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Ranking_List_Title")%></title>
    <link href="/Themes/Styles/Site.css" rel="stylesheet" type="text/css" />
    <script src="/Themes/Scripts/jquery-1.8.2.min.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/Validator/JValidator.js" type="text/javascript"></script>    
    <link href="/Themes/Scripts/artDialog/skins/opera.css" rel="stylesheet" type="text/css" />
    <script src="/Themes/Scripts/artDialog/artDialog.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/artDialog/iframeTools.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/FunctionJS.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/DatePicker/DatePicker.js" type="text/javascript"></script>
</head>
<body>
    <form id="form1" runat="server">
    <div class="btnbartitle">
        <div>
            <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Ranking_List_Title")%>
        </div>
    </div>
    <div class="btnbarcontetn">
        <div style="text-align: right">
            <uc2:LoadButton ID="LoadButton1" runat="server" />
        </div>
    </div>
    <div class="div-body">
        <%=TableHtml %>
    </div>
    <uc1:PageControl ID="PageControl1" runat="server" />
    </form>
</body>
</html>
<script type="text/javascript">
    $(function () {
        //把分页定位到屏幕下面
        divresize(90);
        FixedTableHeader("#table1", $(window).height() - 121);
    })

    //添加
    function add() {
        var url = "/Training/CreditRanking/Ranking_Form.aspx";
        top.openDialog(url, 'Ranking_Form.aspx', '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Ranking_Form_Title")%> - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Add")%>', 400, 350, 50, 50);
    }
    //修改
    function edit() {
        var key = CheckboxValue();
        if (IsEditdata(key)) {
            var url = "/Training/CreditRanking/Ranking_Form.aspx?_key=" + key;
            top.openDialog(url, 'Ranking_Form.aspx', '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Ranking_Form_Title")%> - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Edit")%>', 400, 350, 50, 50);
        }
    }
    //删除
    function Delete() {
        var key = CheckboxValue();
        if (IsDelData(key)) {
            getAjax("DeleteRanking.ashx", "key=" + key, function (rs) {
                if (rs == "1") {
                    alert("<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("CG")%>");
                    location.href = "/Training/CreditRanking/Ranking_List.aspx";
                } else {
                    alert("<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("SB")%>")
                }
            });
        }
    }

</script>
